[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGetSiteInfoEvent

An OnGetSiteInfo handler returns information about a docksite.

## Declaration

Source position: controls.pp line 580

`type TGetSiteInfoEvent = procedure(`
`Sender: TObject;`
`DockClient: TControl;`
`var InfluenceRect: TRect;`
`MousePos: TPoint;`
`var CanDock: Boolean`
`) of object;`

## Arguments

`Sender` |  | The dock site near the mouse pointer.
`DockClient` |  | The dragged control.
`InfluenceRect` |  | The screen rectangle where a drop or mouse move is directed to this docksite.
`MousePos` |  | The current position of the mouse.
`CanDock` |  | Set CanDock to False to reject docking.

## Description

An OnGetSiteInfo event is sent by the DragManager to all docksites. The handler can adjust the snapping rectangle (InfluenceRect), and can reject an drop.